%SORTDATA.M will sort the force data from smallest to largest values
%Usage: 1. Load data, 2.sortdata
offset=12;
[YNF,SortNF]=sort(NormalizedForce(:,:),1);
[YMaxF,SortMaxF]=sort(MaxForce(:,:),1);
[YMinF,SortMinF]=sort(MinForce(:,:),1);
[YNPF,SortNPF]=sort(NormPosForce(:,:),1);
[YNNF,SortNNF]=sort(NormNegForce(:,:),1);
PMetric;
[YPM1,SortPM1]=sort(PMetricData(:,:),1);
SortPM1=[SortPM1 YPM1];
PMetric2;
[YPM2,SortPM2]=sort(PMetric2Data(:,:),1);
SortPM2=[SortPM2 YPM2];
PMetric3;
[YPM3,SortPM3]=sort(PMetric3Data(:,:),1);
SortPM3=[SortPM3 YPM3];
PMetric4;
[YPM4,SortPM4]=sort(PMetric4Data(:,:),1);
SortPM4=[SortPM4 YPM4];

[YDF,SortDF]=sort(DetForce(:,:),1);
SortDF=[SortDF YDF];
[YDisF,SortDisF]=sort(DisengageForce(:,:),1);

Dis1Force=sum(abs(DisengageForce),2);
[YDis1F,SortDis1F]=sort(Dis1Force(:,:),1);
SortDis1F=[SortDis1F YDis1F];

%clear YNF YMaxF YMinF YNPF YNNF YPM1 YPM2 YPM3 YPM4 YDF YDisF
if (offset~=0) 
    fprintf('NOTE: Trial Offset of %d applied\n',offset)
    SortNF=SortNF+offset;
    SortMaxF=SortMaxF+offset;
    SortMinF=SortMinF+offset;
    SortNPF=SortNPF+offset;
    SortNNF=SortNNF+offset;
    SortDF(:,1)=SortDF(:,1)+offset;
    SortDisF=SortDisF+offset;
    SortDis1F(:,1)=SortDisF(:,1)+0;
end

disp('Press any key to save as ''SortDataX.txt''. (Press Ctrl-C to quit)')
pause
save SortDataX.txt SortNF SortMaxF SortMinF SortNPF SortNNF SortPM1 SortPM2 SortPM3 SortPM4 SortDF SortDisF -ASCII
disp('File Saved: SortDataX.txt')